Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.dao.file
Class FileRefererFilterDAO

    java.lang.Object
      net.sourceforge.pebble.dao.file.FileRefererFilterDAO

All Implemented Interfaces:
  RefererFilterDAO

    public class FileRefererFilterDAO

extends java.lang.Object
implements RefererFilterDAO

A mock implementation of the CategoryDAO interface that does nothing. This is used when performing unit tests.

Author:
  Simon Brown

Constructor Summary
`FileRefererFilterDAO()`

Method Summary
`void` | `addRefererFilter(RefererFilter filter, Blog rootBlog)` Adds the specified referer filter.
`void` | `deleteRefererFilter(RefererFilter filter, Blog rootBlog)` Removes the specified referer filter.
`java.util.Collection` | `getRefererFilters(Blog rootBlog)` Loads the referer filters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileRefererFilterDAO

    public FileRefererFilterDAO()

Method Detail

### getRefererFilters

    public java.util.Collection getRefererFilters(Blog rootBlog)
                                           throws PersistenceException

  Loads the referer filters.

  Specified by:
    `getRefererFilters` in interface `RefererFilterDAO`
  Parameters:
    `rootBlog` - the owning Blog instance
  Returns:
    a Collection of RefererFilter instances
  Throws:
    `PersistenceException` - if filters cannot be loaded

### addRefererFilter

    public void addRefererFilter(RefererFilter filter,
                                 Blog rootBlog)
                          throws PersistenceException

  Adds the specified referer filter.

  Specified by:
    `addRefererFilter` in interface `RefererFilterDAO`
  Parameters:
    `filter` - the RefererFilter instance to be added
    `rootBlog` - the owning Blog instance
  Throws:
    `PersistenceException` - if something goes wrong storing the filters

### deleteRefererFilter

    public void deleteRefererFilter(RefererFilter filter,
                                    Blog rootBlog)
                             throws PersistenceException

  Removes the specified referer filter.

  Specified by:
    `deleteRefererFilter` in interface `RefererFilterDAO`
  Parameters:
    `filter` - the RefererFilter instance to be removed
    `rootBlog` - the owning Blog instance
  Throws:
    `PersistenceException` - if something goes wrong removing the filter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.